Retrieve a call
curl --request GET \
--url https://api.wavix.com/v1/calls/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wavix.com/v1/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wavix.com/v1/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"call": {
"uuid": "5dccb6b0-f35c-488c-867b-86fb012c4415",
"id": "5dccb6b0-f35c-488c-867b-86fb012c4415",
"direction": "inbound",
"event_type": "call_setup",
"event_time": "2025-09-22T12:56:38.547Z",
"event_payload": null,
"from": "+18045961058",
"to": "17653889567",
"call_started": "2025-09-22T12:56:38.547Z",
"call_answered": "2023-06-15T10:30:00Z",
"call_completed": "2023-06-15T10:30:00Z",
"machine_detected": false,
"tag": "marketing-campaign"
},
"success": true
}{
"success": false,
"error": true,
"message": "Unauthorized"
}{
"success": false,
"message": "Record not found"
}Call control
Retrieve a call
Returns the call identified by id, including its current event and timestamps.
GET
/
v1
/
calls
/
{id}
Retrieve a call
Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Path Parameters
The uuid of the call.
Was this page helpful?
⌘I